function visualizeLogisticReg(forecastData)
%
% Description: Visualize results of logistic regression.
%
nforecastVar=length(forecastData.ForecastVar.VarLabels);
[Verification]=predict(forecastData.Forecast,forecastData.DataVar.TrainingArray');
[Validation]=predict(forecastData.Forecast,forecastData.DataVar.ValidationArray');
close all
for iVar=1:nforecastVar
    figure(iVar);
    vTrue=forecastData.ForecastVar.TrainingArray(iVar,:);
    vTrue(vTrue~=0)=1;
    [xVer,yVer,TVer,AUCVer] = perfcurve(vTrue,Verification(:,iVar),1);
    vTrue=forecastData.ForecastVar.ValidationArray(iVar,:);
    vTrue(vTrue~=0)=1;
    [xVal,yVal,TVal,AUCVal] = perfcurve(vTrue,Validation(:,iVar),1);
    hold on
    plot(xVer,yVer,'b','LineWidth',[2]);
    plot(xVal,yVal,'r','LineWidth',[2]);
    legend(gca,{'Verification','Validation'},'Location','SouthEast');
    ylabel('True Positive Rate');
    xlabel('False Positive Rate');
    box on
    grid on
    VarName=[forecastData.ForecastVar.VarLabels(iVar).VariableName,'(',...
        forecastData.ForecastVar.VarLabels(iVar).DataSetName,')'];
    title({[num2str(forecastData.ForecastPeriod),'-day Forecast for ',VarName], [' with Data Latency of ',...
        num2str(forecastData.DataLatency), ...
        ' day Trained with ',num2str(forecastData.nTrainingDay),' Days of Data Prior to ',...
        datestr(forecastData.CurrentEpoc,0)]},'Interpreter','none');
end;
return
end